Go to index page.

# gif2rgb

A program to convert images saved as GIF to 24-bit RGB image(s).

# Usage:

    gif2rgb [-q] [-1] [-o OutFileName] [-h] gif-file

If no gif-file is given, Gif2RGB will try to read a GIF file from stdin.

# Memory required:

Screen.

# Options:

[-q]
  Quiet mode. Defaults off on MSDOS, on under UNIX. Controls printout of running scan lines. Use -q- to invert.

[-1]
  Only one file in the format of RGBRGB... triplets (Each of R, G, B is a byte) is being written. This file size is 3 * Width * Height. If stdout is used for output, this option is implicitly applied. The default (if not `-1') is 3 files with the names OutFileName.R, OutFileName.G, OutFileName.B, each of which is Width * Height bytes.

[-o OutFileName]
  specifies the name of the out file (see also `-1' above).

[-h]
  Print one line of command line help, similar to Usage above.

# Author:

Gershon Elber